@import "../valo/valo.scss";


#edit {

  #theme-editor {

    #themeselect {
      border: 1px solid #d9d9d9;
      border-radius: 4px;
      padding: 8px;
      overflow: hidden;

      input {
        border: none;
        font-size: 18px;
        color: #404040;
        cursor: default;
      }

      .v-filterselect-button {
        display: none;
      }
    }
  }

  .allpropertieslabel {
    background-color: #808080;
    font-size: 18px;
    font-family:'HelveticaW01-RoundedBd', sans-serif;
    @include border-box;
    padding: 20px;
    color: #fff;
  }

  .v-formlayout {
    padding: 17px 9px;

    .v-formlayout-captioncell,
    .v-formlayout-errorcell,
    .v-formlayout-contentcell {
      border-top: 1px solid #d9d9d9;
    }

    .v-formlayout-captioncell {
      padding: 3px 0 0 !important;
      color: #404040;
      vertical-align: top;
    }

    .v-select.rightborder select,
    .v-formlayout-errorcell {
      border-right: 1px solid #d9d9d9;
    }

    .v-formlayout-row {
      height: 31px;
    }

    .v-textfield,
    .v-textfield input,
    .v-select select,
    .v-select select option,
    .v-textarea {
      background: transparent;
      border: none;
      outline: none;
      font-size: 14px !important;
      color: #404040;
    }

    .v-textarea {
      // margin-bottom: -17px;
    }

    .v-formlayout-errorcell,
    .v-formlayout-contentcell {
      padding: 0 !important;
      overflow: hidden;
    }

    .v-formlayout-contentcell {
      padding-left: 10px !important;
    }

    & > table {
      border-bottom: 1px solid #d9d9d9;
    }

  }


}

.sidebarcombobox {
  position: relative;

  input {
    border: none;
    font-size: 14px;
  }

  .v-icon {
    display: none;
  }

  .sidebarcombobox-button {
    display: none;
  }

  &:after {
    content: "";
    position: absolute;
    font-size: 0;
    border: 3px solid transparent;
    border-top-color: #868686;
    border-top-width: 6px;
    top: 50%;
    margin-top: -3px;
    right: 21px;
    pointer-events:none;
  }

  &.rightborder:before {
    content: "";
    border-right: 1px solid #d9d9d9;
    position: absolute;
    height: 50px;
    top: -14px;
    right: 6px;
  }
}

.sidebardatefield-popup,
.sidebarcombobox-suggestpopup {
  background: #fff;
  @include community-box-shadow;
  border: 1px solid #dfdfdf;
  font: 400 14px/1 Helvetica, Arial, Sans-Serif;
  color: #404040;
}

.sidebarcombobox-suggestpopup {
  font-size: 16px;
  line-height: 1.2;
  cursor: pointer;
  font-family: 'Helvetica W01 Light', sans-serif;

  .gwt-MenuItem-selected {
    background-color: #00b4f0;
    color: #fff;
  }

  .sidebarcombobox-prevpage-off,
  .sidebarcombobox-nextpage-off,
  .sidebarcombobox-prevpage,
  .sidebarcombobox-nextpage {
    font-weight: bold;
    color: #00b4f0;
  }
}


.sidebardatefield-popup {
  $v-background-color: #fff;
  $v-unit-size: 34px;
  $v-selection-color: #00b4f0;
  $v-bevel: false;
  $v-shadow: false;
  $v-gradient: false;
  $v-border-radius: 1px;
  $v-focus-color: #fff;
  $v-focus-style: false;
  $v-border: 1px solid #d9d9d9;

  @include valo-datefield-calendarpanel-style("sidebardatefield-calendarpanel");
}

#edit {
  $v-background-color: #fff;
  $v-unit-size: 34px;
  $v-selection-color: #00b4f0;
  $v-bevel: false;
  $v-shadow: false;
  $v-gradient: false;
  $v-border-radius: 1px;
  $v-focus-color: #fff;
  $v-focus-style: false;
  $v-border: 1px solid #d9d9d9;

  @include valo-checkbox("sidebarcheckbox");

  .sidebarcheckbox {
    height: 17px;
    width: 17px;

    label:after {
      font-size: 16px !important;
    }
  }

  .sidebarcolorpicker {
    outline: none;
    padding-left: 20px;

     .v-colorpicker-button-color {
      height: 20px !important;
      width: 20px !important;

      &:before {
        display: none;
      }
    }
  }

  .sidebardatefield {
    @include valo-datefield-style($v-bevel, $v-shadow, $v-unit-size, $v-border, $v-border-radius, $v-background-color, "sidebardatefield");
    position: relative;
  }

  .highlightedlayout table {
    width: 100%;
  }

}
